Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.agent
Interface KnowledgeAgentProvider

    public interface KnowledgeAgentProvider

KnowledgeAgentProvider is used by the KnowledgeAgentFactory to "provide" it's concrete implementation. This class is not considered stable and may change, the user is protected from this change by using the Factory api, which is considered stable.

Method Summary
`KnowledgeAgent` | `newKnowledgeAgent(String name, KnowledgeBase kbase)`
`KnowledgeAgent` | `newKnowledgeAgent(String name, KnowledgeBase kbase, KnowledgeAgentConfiguration configuration)`
`KnowledgeAgent` | `newKnowledgeAgent(String name, KnowledgeBase kbase, KnowledgeAgentConfiguration configuration, KnowledgeBuilderConfiguration builderConfiguration)`
`KnowledgeAgentConfiguration` | `newKnowledgeAgentConfiguration()`
`KnowledgeAgentConfiguration` | `newKnowledgeAgentConfiguration(Properties properties)`

Method Detail

### newKnowledgeAgentConfiguration

    KnowledgeAgentConfiguration newKnowledgeAgentConfiguration()

### newKnowledgeAgentConfiguration

    KnowledgeAgentConfiguration newKnowledgeAgentConfiguration(Properties properties)

### newKnowledgeAgent

    KnowledgeAgent newKnowledgeAgent(String name,
                                     KnowledgeBase kbase)

### newKnowledgeAgent

    KnowledgeAgent newKnowledgeAgent(String name,
                                     KnowledgeBase kbase,
                                     KnowledgeAgentConfiguration configuration)

### newKnowledgeAgent

    KnowledgeAgent newKnowledgeAgent(String name,
                                     KnowledgeBase kbase,
                                     KnowledgeAgentConfiguration configuration,
                                     KnowledgeBuilderConfiguration builderConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.